# Project information
site_name: ETSI SDG OCF Documentation
site_description: ETSI SDG OCF Documentation page
site_author: OpenCAPIF by ETSI
site_url: https://ocf.etsi.org/

# Repository
repo_name: OCF GitLab
repo_url: https://labs.etsi.org/rep/ocf
edit_uri: ""
docs_dir: doc

extra_css:
  - stylesheets/extra.css

# edit_uri: edit/docs-revamp/docs/
# edit_uri: blob/docs-revamp/docs/

# remote_name: origin
# remote_branch: gh-pages

# Theme and overrides, i.e. language partial
# https://squidfunk.github.io/mkdocs-material/creating-your-site/
theme:
  name: material

  # Don't include MkDocs' JavaScript
  #include_search_page: false
  #search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
#  feature:
#    tabs: true
  features:
  - navigation.instant
  - navigation.instant.progress
  - navigation.top
  - navigation.footer
  - navigation.path
  - search
  - search.highlight

  palette:
    primary: custom
    accent: custom

  logo: 'images/logos/Open CAPIF Logo Screen_B_W Slogan NEG.png'
  favicon: images/favicon.png

  icon:
    repo: fontawesome/brands/gitlab

# Copyright
copyright: "Copyright &copy; 2019-2024 OpenCAPIF Project"

# Options
extra:
#  search:
#    languages: "en"
  social:
    - icon: fontawesome/solid/globe
      link: https://ocf.etsi.org/
    - icon: fontawesome/brands/gitlab
      link: https://labs.etsi.org/rep/ocf
    - icon: fontawesome/brands/linkedin
      link: https://www.linkedin.com/company/opencapif/
    - icon: fontawesome/brands/x-twitter
      link: https://twitter.com/OpenCAPIF
  version:
    provider: mike

# Page tree
nav:
  - Overview:
      - Introduction: index.md
  - Getting Started:
      - How to Run: ./gettingstarted/howtorun.md
  - Testing:
      - Test Plan: ./testing/testplan/README.md
      - Robot Framework: ./testing/robotframework/README.md
      - Postman: ./testing/postman/README.md
  - FAQ: ./FAQ.md
